#include "triangle.h"
#include <iostream>

using namespace std;

Triangle::Triangle (double side1Length, 
		    double side2Length, 
		    double side3Length)
{
  s1 = side1Length;
  s2 = side2Length;
  s3 = side3Length;
}


void Triangle::report()
{
  if (s1 < 0.0 || s2 < 0.0 || s3 < 0.0)
    cout << "Not a triangle" << endl;
  else if (s1 == 0.0 || s2 == 0.0 || s3 == 0.0)
    cout << "Degenerate triangle" << endl;
  else if (s1 == (s2 + s3)
      || s2 == (s1 + s3)
      || s3 == s1 + s2)
    cout << "Degenerate triangle" << endl;
  else if (s1 > (s2 + s3)
      || s2 > (s1 + s3)
      || s3 > s1 + s2)
    cout << "Not a triangle" << endl;
  else if (s1 == s2 && s2 == s3)
    cout << "Equilateral" << endl;
  else if (s1 == s2 || s2 == s3 || s1 == s3)
    cout << "Isosceles" << endl;
  else
    cout << "Scalene" << endl;
}
